Api referenceTopicIssues

Save topic issues (Preview)

Preview · Available to selected organizations. Validates the project and saves its draft as a Git commit with revision and branch-head fences.

POST
/v1/topics/{id}/issues/save

Validates the project and saves its draft as a Git commit with revision and branch-head fences. Issue sends pin the resulting commit and issue path. Requires issueContent and email.

x-api-key<token>

In: header

Path Parameters

id*string
Match^unsub_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

expectedRevision*string
Length1 <= length <= 1024
expectedHead*string
Match^[a-f0-9]{40}$
message*string
Length1 <= length <= 512
idempotencyKey*string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/topics/string/issues/save" \  -H "Content-Type: application/json" \  -d '{    "expectedRevision": "string",    "expectedHead": "string",    "message": "string",    "idempotencyKey": "string"  }'
{  "commit": "string",  "parentCommit": "string",  "tree": "string",  "revision": "string",  "changedPaths": [    "string"  ],  "sourceDigest": "string",  "buildDigest": "string",  "warnings": [    {      "code": "string",      "severity": "error",      "message": "string",      "origins": [        {          "fileName": "string",          "lineNumber": 1,          "columnNumber": 1        }      ],      "clients": [        "string"      ],      "notes": "string",      "provenance": "string",      "fixtures": [        "string"      ],      "occurrences": [        [          {            "fileName": "string",            "lineNumber": 1,            "columnNumber": 1          }        ]      ],      "compatibility": {        "assessment": "risk",        "title": "string"      }    }  ],  "incompatibilities": [    {      "code": "string",      "severity": "error",      "message": "string",      "origins": [        {          "fileName": "string",          "lineNumber": 1,          "columnNumber": 1        }      ],      "clients": [        "string"      ],      "notes": "string",      "provenance": "string",      "fixtures": [        "string"      ],      "occurrences": [        [          {            "fileName": "string",            "lineNumber": 1,            "columnNumber": 1          }        ]      ],      "compatibility": {        "assessment": "risk",        "title": "string"      }    }  ]}